package com.jcg.example;

import com.jcg.example.repository.ProductRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class SpringjpademoApplication implements CommandLineRunner {

    @Autowired
    ProductRepository productRepository;

    public static void main(String[] args) {
        SpringApplication.run(SpringjpademoApplication.class, args);
    }

    @Override
    public void run(String... args) throws Exception {
        System.out.println(productRepository.findByNameLike("Tablet"));
        System.out.println(productRepository.findByNameLike("Desk"));
    }

}
